@ECHO OFF

cls
echo            Custom Track Skymap Installation - RobieHouse by Timnic
echo    ###-------------------------------------------------------------------###
ECHO,
ECHO This file will install Custom skymaps for RobieHouse by Timnic
ECHO,
ECHO It will make a backup of the Skymap that is currently in use for
ECHO "ship1". The uninstall skymap routine for this track will
ECHO restore this backup to its original location.
ECHO, 
ECHO This install batch file should be located within your \revolt directory.
ECHO It should be run after installation of: "RobieHouse by Timnic"
ECHO,
ECHO If you activate it within any other folder the custom skymaps will not be
ECHO installed.
ECHO,
ECHO This file is entirely benign and will not attempt to copy/move or modify
ECHO anything other than that which is necessary to install custom
ECHO skymaps for your "Re-Volt" game.
ECHO,
ECHO If you wish to ABORT this installation close this window now.
ECHO,
pause
cls
ECHO Making folders
md SkyMaps_Backup_Folder
md SkyMaps_Backup_Folder\Robiehouse

ECHO Backing up existing Skymap Files
copy /y levels\ship1\sky_bk.bmp SkyMaps_Backup_Folder\Robiehouse\baksky_bk.bmp
copy /y levels\ship1\sky_bt.bmp SkyMaps_Backup_Folder\Robiehouse\baksky_bt.bmp
copy /y levels\ship1\sky_ft.bmp SkyMaps_Backup_Folder\Robiehouse\baksky_ft.bmp
copy /y levels\ship1\sky_lt.bmp SkyMaps_Backup_Folder\Robiehouse\baksky_lt.bmp
copy /y levels\ship1\sky_rt.bmp SkyMaps_Backup_Folder\Robiehouse\baksky_rt.bmp
copy /y levels\ship1\sky_tp.bmp SkyMaps_Backup_Folder\Robiehouse\baksky_tp.bmp

ECHO Installing Custom Skymaps
copy /y SkyMaps\Robiehouse\sky_bk.bmp levels\ship1\sky_bk.bmp
copy /y SkyMaps\Robiehouse\sky_bt.bmp levels\ship1\sky_bt.bmp
copy /y SkyMaps\Robiehouse\sky_ft.bmp levels\ship1\sky_ft.bmp
copy /y SkyMaps\Robiehouse\sky_lt.bmp levels\ship1\sky_lt.bmp
copy /y SkyMaps\Robiehouse\sky_rt.bmp levels\ship1\sky_rt.bmp
copy /y SkyMaps\Robiehouse\sky_tp.bmp levels\ship1\sky_tp.bmp
ECHO ........................................
ECHO Thats it!
ECHO ........................................
ECHO Happy Racing
ECHO.
